Journal Controller¶
Search Journals¶
HTTP Request
POST /api/v1/journals/payments/{principalPositionType}/{unitId}/search
📋 Description: Submits a search request for payments related to a specific principal position type and unit ID within the Nakisa Lease Accounting Suite, facilitating the management of lease contracts and financial obligations. This operation enhances the efficiency of accounting entry processes by providing targeted payment information.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
Type of the principal position |
unitId |
path |
integer |
true |
Unique identifier for the unit |
body |
body |
false |
Request body containing search criteria for payments related to leases and contracts, including financial obligations and accounting entries. |
Body Parameters
1{
2 "idIn": [],
3 "idEqual": 10000001,
4 "idLike": "sample_idLike",
5 "createdAtGreaterThanOrEqual": "2025-01-01T10:00:00Z",
6 "createdAtLessThanOrEqual": "2025-01-01T10:00:00Z",
7 "createdByLike": "sample_createdByLike",
8 "createdByEqual": "sample_createdByEqual",
9 "modifiedAtGreaterThanOrEqual": "2025-01-01T10:00:00Z",
10 "modifiedAtLessThanOrEqual": "2025-01-01T10:00:00Z",
11 "modifiedByLike": "sample_modifiedByLike",
12 "modifiedByEqual": "sample_modifiedByEqual",
13 "displayIdIn": [],
14 "displayIdLike": "sample_displayIdLike",
15 "typeEqual": {
16 "name": "PAYMENT",
17 "captionKey": "enum.journalPostingType.payment",
18 "caption": "Payment"
19 },
20 "unitIdIn": [],
21 "periodIdIn": []
22}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 10000001,
4 "displayId": "sample_displayId",
5 "type": {
6 "name": "PAYMENT",
7 "captionKey": "enum.journalPostingType.payment",
8 "caption": "Payment"
9 },
10 "date": {
11 "timing": "START_OF_DAY",
12 "year": 2025,
13 "monthValue": 9,
14 "dayOfMonth": 4,
15 "leapYear": false,
16 "month": "SEPTEMBER",
17 "dayOfWeek": "THURSDAY",
18 "dayOfYear": 247
19 },
20 "unitId": 10000001,
21 "periodId": 10000001,
22 "document": {
23 "id": 10000001,
24 "displayId": "sample_displayId",
25 "accountingDocumentId": 10000001,
26 "lastAccountingDocumentId": 10000001,
27 "activationGroupId": 10000001,
28 "accountingStandardId": 10000001,
29 "unitId": 10000001,
30 "journalId": 10000001,
31 "entries": [],
32 "operationalPostingTaskId": 10000001,
33 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
34 "numberRangeIdentifierType": {
35 "name": "COMPANY_CODE"
36 },
37 "numberRangeType": {
38 "name": "CONTRACT"
39 },
40 "allowsSystemGenerateNewId": false
41 },
42 "entries": [],
43 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
44 "numberRangeIdentifierType": {
45 "name": "COMPANY_CODE"
46 },
47 "numberRangeType": {
48 "name": "CONTRACT"
49 },
50 "allowsSystemGenerateNewId": false
51 }
52]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a unit journal entry within the Nakisa Lease Accounting Suite, capturing essential details related to leases, contracts, financial obligations, and corresponding accounting entries.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» displayId |
string |
false |
none |
Unique identifier for the display |
» type |
false |
none |
Represents the type of journal posting operation in the general ledger. |
|
»» name |
string |
false |
none |
Enum name representing the journal posting type. |
»» captionKey |
string |
false |
none |
Localization key for the journal posting type caption. |
»» caption |
string |
false |
none |
Localized caption of the journal posting type. |
» date |
false |
none |
Data transfer object representing the specific time of day associated with lease contracts and financial obligations within the Nakisa Lease Accounting Suite, facilitating accurate accounting entries and reporting. |
|
»» timing |
string |
false |
none |
Represents the specific time of day associated with a lease or contract, essential for accurately tracking financial obligations and accounting entries within the Nakisa Lease Accounting Suite. |
»» year |
integer(int32) |
false |
none |
Numeric value representing year |
»» monthValue |
integer(int32) |
false |
none |
Numeric value representing monthValue |
»» dayOfMonth |
integer(int32) |
false |
none |
Numeric value representing dayOfMonth |
»» leapYear |
boolean |
false |
none |
Boolean flag indicating leapYear status |
»» month |
string |
false |
none |
Represents the month associated with the lease or contract, facilitating accurate tracking of financial obligations and accounting entries within the Nakisa Lease Accounting Suite. |
»» dayOfWeek |
string |
false |
none |
Represents the day of the week associated with a lease or contract, facilitating accurate tracking of financial obligations and accounting entries within the Nakisa Lease Accounting Suite. |
»» dayOfYear |
integer(int32) |
false |
none |
Numeric value representing dayOfYear |
» unitId |
integer(int64) |
false |
none |
Unique identifier for the unit |
» periodId |
integer(int64) |
false |
none |
Unique identifier for the period |
» document |
false |
none |
Data transfer object representing a document related to lease agreements, contracts, and financial obligations within the Nakisa Lease Accounting Suite, facilitating the management and tracking of accounting entries. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» accountingDocumentId |
integer(int64) |
false |
none |
Unique identifier for the accounting document |
»» lastAccountingDocumentId |
integer(int64) |
false |
none |
Unique identifier for the last accounting document |
»» activationGroupId |
integer(int64) |
false |
none |
Unique identifier for the activation group |
»» accountingStandardId |
integer(int64) |
true |
none |
Unique identifier for the accounting standard |
»» unitId |
integer(int64) |
true |
none |
Unique identifier for the unit |
»» journalId |
integer(int64) |
true |
none |
Unique identifier for the journal |
»» entries |
false |
none |
List of entries items |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» applicationReferenceId |
string |
false |
none |
Unique identifier for the application reference |
»»» type |
false |
none |
Represents the type of accounting entry or financial transaction in the lease accounting system. |
|
»»»» name |
string |
false |
none |
Enum name representing the accounting entry type. |
»»»» captionKey |
string |
false |
none |
Localization key for the accounting entry type caption. |
»»»» caption |
string |
false |
none |
Localized caption of the accounting entry type. |
»»» postingTransactionType |
false |
none |
Represents the type of posting transaction (Post or Reverse). |
|
»»»» name |
string |
false |
none |
Enum name representing the posting transaction type. |
»»»» captionKey |
string |
false |
none |
Localization key for the posting transaction type caption. |
»»»» caption |
string |
false |
none |
Localized caption of the posting transaction type. |
»»» internalPostingStatus |
false |
none |
Data structure representing the status of internal postings related to leases and contracts within the Nakisa Lease Accounting Suite, facilitating the management of financial obligations and accounting entries. |
|
»»»» documentNumber |
string |
false |
none |
Unique identifier for the lease or contract document associated with a financial obligation in the Nakisa Lease Accounting Suite. |
»»»» status |
false |
none |
Represents the status of a posting operation. |
|
»»»»» name |
string |
false |
none |
Enum name representing the posting status. |
»»»»» captionKey |
string |
false |
none |
Localization key for the posting status caption. |
»»»»» caption |
string |
false |
none |
Localized caption of the posting status. |
»»»» postingMessage |
string |
false |
none |
Textual representation of the posting message associated with a lease or contract, providing essential information regarding the financial obligation and accounting entry within the Nakisa Lease Accounting Suite. |
»»» originalPostingTransactionType |
false |
none |
Represents the type of posting transaction (Post or Reverse). |
|
»»» originalPostingStatus |
false |
none |
Represents the status of a posting operation. |
|
»» operationalPostingTaskId |
integer(int64) |
false |
none |
Unique identifier for the operational posting task |
»» numberRangeIdentifierValue |
string |
false |
none |
Represents a unique string identifier for a range of numbers associated with leases and financial obligations within the Nakisa Lease Accounting Suite. |
»» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
»»» name |
string |
true |
none |
Name of the resource |
»» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
»»» name |
string |
true |
none |
Name of the resource |
»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
» entries |
false |
none |
List of entries items |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» type |
false |
none |
Represents the type of accounting entry or financial transaction in the lease accounting system. |
|
»» translationType |
false |
none |
Represents the type of currency translation method used. |
|
»»» name |
string |
false |
none |
Enum name representing the translation type. |
»»» captionKey |
string |
false |
none |
Localization key for the translation type caption. |
»»» caption |
string |
false |
none |
Localized caption of the translation type. |
»» note |
string |
false |
none |
Textual description or commentary related to the lease or contract, providing additional context for the financial obligation recorded in the accounting entry. |
»» balanced |
boolean |
false |
none |
Boolean flag indicating balanced status |
»» credits |
number |
false |
none |
Value for credits field |
»» debits |
number |
false |
none |
Value for debits field |
»» journalId |
integer(int64) |
false |
none |
Unique identifier for the journal |
»» lines |
false |
none |
List of lines items |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» account |
string |
false |
none |
Number of lease items |
»»» accountCodeName |
string |
false |
none |
Name of the account code |
»»» accountCodeCaption |
string |
false |
none |
Descriptive label for the account code associated with a lease or contract in the financial obligation accounting entries within the Nakisa Lease Accounting Suite. |
»»» drCr |
false |
none |
Represents the type of accounting entry or transaction direction. |
|
»»»» name |
string |
false |
none |
Enum name representing the debit/credit type. |
»»»» captionKey |
string |
false |
none |
Localization key for the debit/credit type caption. |
»»»» caption |
string |
false |
none |
Localized caption of the debit/credit type. |
»»» amount |
number |
false |
none |
Amount value |
»»» unroundedAmount |
number |
false |
none |
Amount of unrounded |
»»» deltaAdjustment |
number |
false |
none |
Value for deltaAdjustment field |
»»» tag |
string |
false |
none |
Tag is a string field used to categorize and identify lease-related accounting entries within the Nakisa Lease Accounting Suite, facilitating better organization and retrieval of financial obligations and contract information. |
»»» vendorId |
string |
false |
none |
Unique identifier for the vendor |
»»» currencyId |
integer(int64) |
false |
none |
Unique identifier for the currency |
»»» currencyDisplayId |
string |
false |
none |
Unique identifier for the currency display |
»»» currencyDefinitionType |
false |
none |
Represents the definition type of currency for financial reporting. |
|
»»»» name |
string |
false |
none |
Enum name representing the currency definition type. |
»»»» captionKey |
string |
false |
none |
Localization key for the currency definition type caption. |
»»»» caption |
string |
false |
none |
Localized caption of the currency definition type. |
»»» leaseClassificationType |
false |
none |
Represents the lease classification type for accounting purposes. |
|
»»»» name |
string |
false |
none |
Enum name representing the lease classification type. |
»»»» captionKey |
string |
false |
none |
Localization key for the lease classification type caption. |
»»»» caption |
string |
false |
none |
Localized caption of the lease classification type. |
»»» journalEntryId |
integer(int64) |
false |
none |
Unique identifier for the journal entry |
»»» taxes |
false |
none |
List of taxes items |
|
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»» taxCalculationType |
false |
none |
Represents the method used for tax calculation. |
|
»»»»» name |
string |
false |
none |
Enum name representing the tax calculation type. |
»»»»» captionKey |
string |
false |
none |
Localization key for the tax calculation type caption. |
»»»»» caption |
string |
false |
none |
Localized caption of the tax calculation type. |
»»»» taxDetermination |
false |
none |
Data transfer object representing a unique identifier for leases, contracts, and financial obligations within the Nakisa Lease Accounting Suite, facilitating accurate tracking and management of accounting entries. |
|
»»»»» id |
string(int64) |
false |
none |
Unique identifier for the resource |
»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»» taxExempt |
number |
false |
none |
Value for taxExempt field |
»»»» taxExemptionPercentage |
number |
false |
none |
Percentage of tax exemption |
»»»» taxAffected |
number |
false |
none |
Value for taxAffected field |
»»»» unitId |
integer(int64) |
false |
none |
Unique identifier for the unit |
»»»» termId |
integer(int64) |
false |
none |
Unique identifier for the term |
»»»» type |
false |
none |
Represents the type of journal posting operation in the general ledger. |
|
»»»» journalEntryLineId |
integer(int64) |
false |
none |
Unique identifier for the journal entry line |
»»»» expenseCategory |
false |
none |
Data transfer object representing a simplified categorization of expenses related to leases and contracts within the Nakisa Lease Accounting Suite, facilitating efficient tracking and management of financial obligations and accounting entries. |
|
»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»» status |
false |
none |
Represents the object status with localized captions and activity state. |
|
»»»»»» name |
string |
false |
none |
Enum name representing the object status. |
»»»»»» captionKey |
string |
false |
none |
Localization key for the object status caption. |
»»»»»» active |
boolean |
false |
none |
Indicates whether the status is active. |
»»»»»» caption |
string |
false |
none |
Localized caption of the object status. |
»»»»» name |
string |
false |
none |
Name of the resource |
»»»»» expenseCategoryType |
string |
false |
none |
Type of the expense category |
»»»» taxItems |
false |
none |
List of taxItems items |
|
»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»» account |
string |
false |
none |
Number of lease items |
»»»»» accountCodeName |
string |
false |
none |
Name of the account code |
»»»»» accountCodeCaption |
string |
false |
none |
Descriptive label for the account code associated with a journal entry line tax item, facilitating clarity in lease and contract financial obligations within the Nakisa Lease Accounting Suite. |
»»»»» drCr |
false |
none |
Represents the type of accounting entry or transaction direction. |
|
»»»»» amount |
number |
false |
none |
Amount value |
»»»»» unroundedAmount |
number |
false |
none |
Amount of unrounded |
»»»»» deltaAdjustment |
number |
false |
none |
Value for deltaAdjustment field |
»»»»» cid |
string |
false |
none |
Unique identifier for the lease |
»»»»» journalEntryLineId |
integer(int64) |
false |
none |
Unique identifier for the journal entry line |
»»»»» translations |
false |
none |
List of translations items |
|
»»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»»» drCr |
false |
none |
Represents the type of accounting entry or transaction direction. |
|
»»»»»» amount |
number |
false |
none |
Amount value |
»»»»»» unroundedAmount |
number |
false |
none |
Amount of unrounded |
»»»»»» deltaAdjustment |
number |
false |
none |
Value for deltaAdjustment field |
»»»»»» translationRate |
number |
false |
none |
Rate of translation |
»»»»»» translationDateTime |
string(date) |
false |
none |
Time of the translation date |
»»»»»» sourceCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the source currency |
»»»»»» sourceCurrencyDisplayId |
string |
false |
none |
Unique identifier for the source currency display |
»»»»»» targetCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the target currency |
»»»»»» targetCurrencyDisplayId |
string |
false |
none |
Unique identifier for the target currency display |
»»»»»» sourceCurrencyType |
false |
none |
Represents the type of source currency for conversion. |
|
»»»»»»» name |
string |
false |
none |
Enum name representing the source currency type. |
»»»»»»» captionKey |
string |
false |
none |
Localization key for the source currency type caption. |
»»»»»»» caption |
string |
false |
none |
Localized caption of the source currency type. |
»»»»»» translationDateType |
false |
none |
Represents the type of date used for currency translation. |
|
»»»»»»» name |
string |
false |
none |
Enum name representing the translation date type. |
»»»»»»» captionKey |
string |
false |
none |
Localization key for the translation date type caption. |
»»»»»»» caption |
string |
false |
none |
Localized caption of the translation date type. |
»»»»»» currencyDefinitionType |
false |
none |
Represents the definition type of currency for financial reporting. |
|
»»»»»» depreciationAreaId |
integer(int64) |
false |
none |
Unique identifier for the depreciation area |
»»»»»» depreciationAreaDisplayId |
string |
false |
none |
Unique identifier for the depreciation area display |
»»»»»» unitId |
integer(int64) |
false |
none |
Unique identifier for the unit |
»»»»»» journalEntryLineId |
integer(int64) |
false |
none |
Unique identifier for the journal entry line |
»»»»»» taxItemCid |
string |
false |
none |
Unique identifier for the lease |
»»»»»» numberRangeIdentifierValue |
string |
false |
none |
Represents a unique identifier for the range of numbers associated with lease or contract accounting entries within the Nakisa Lease Accounting Suite. |
»»»»»» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
»»»»»» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
»»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»»»» journalTaxDetail |
false |
none |
Data transfer object representing the tax details associated with a journal entry line within the Nakisa Lease Accounting Suite, facilitating accurate financial reporting and compliance related to leases and contracts. |
|
»»»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»»»»» taxAmount |
number |
false |
none |
Amount of tax |
»»»»»» taxBaseAmount |
number |
false |
none |
Amount of tax base |
»»»»»» totalTaxDocumentAmount |
number |
false |
none |
Amount of total tax document |
»»»»»» taxRate |
number |
false |
none |
Rate of tax |
»»»»»» taxAccount |
string |
false |
none |
Number of lease items |
»»»»»» accountingKey |
string |
false |
none |
Unique identifier for the accounting entry associated with a lease or contract within the Nakisa Lease Accounting Suite. |
»»»»»» conditionKey |
string |
false |
none |
Represents the specific condition under which a tax detail is applied to a journal entry line, relevant for lease and contract accounting obligations. |
»»»»»» taxCodeId |
integer(int64) |
false |
none |
Unique identifier for the tax code |
»»»»»» taxCodeDisplayId |
string |
false |
none |
Unique identifier for the tax code display |
»»»»»» taxJurisdictionId |
integer(int64) |
false |
none |
Unique identifier for the tax jurisdiction |
»»»»»» taxJurisdictionDisplayId |
string |
false |
none |
Unique identifier for the tax jurisdiction display |
»»»»»» contractCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the contract currency |
»»»»»» contractCurrencyDisplayId |
string |
false |
none |
Unique identifier for the contract currency display |
»»»»»» numberRangeIdentifierValue |
string |
false |
none |
Represents the unique string identifier for the number range associated with financial obligations within lease and contract accounting entries in the Nakisa Lease Accounting Suite. |
»»»»»» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
»»»»»» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
»»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»»»» numberRangeIdentifierValue |
string |
false |
none |
Unique identifier for the range of numbers associated with tax items in lease accounting entries, facilitating accurate tracking of financial obligations within contracts. |
»»»»» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
»»»»» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
»»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»»» numberRangeIdentifierValue |
string |
false |
none |
Represents the unique identifier for a range of numbers associated with lease contracts and financial obligations within the Nakisa Lease Accounting Suite. |
»»»» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
»»»» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
»»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»»» translations |
false |
none |
List of translations items |
|
»»» numberRangeIdentifierValue |
string |
false |
none |
Unique string identifier representing a specific range of numbers associated with lease contracts and financial obligations within the Nakisa Lease Accounting Suite. |
»»» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
»»» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
»»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
»» numberRangeIdentifierValue |
string |
false |
none |
Unique string identifier representing a specific range of numbers associated with lease contracts and financial obligations within the Nakisa Lease Accounting Suite. |
»» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
»» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
»» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
» numberRangeIdentifierValue |
string |
false |
none |
Represents a unique identifier for a range of numbers associated with lease contracts and financial obligations within the Nakisa Lease Accounting Suite. |
» numberRangeIdentifierType |
false |
none |
Data structure representing a numerical range identifier used in the Nakisa Lease Accounting Suite to categorize and manage leases, contracts, and financial obligations within accounting entries. |
|
» numberRangeType |
false |
none |
Data structure representing a numerical range utilized in the Nakisa Lease Accounting Suite, essential for defining financial obligations and accounting entries associated with leases and contracts. |
|
» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
Enumerated Values
Attribute |
Value |
|---|---|
dayOfWeek |
FRIDAY, MONDAY, SATURDAY, SUNDAY, THURSDAY, TUESDAY, WEDNESDAY |
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
month |
APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE, MARCH, MAY, NOVEMBER, OCTOBER, SEPTEMBER |
name |
, ACCRUAL, ACTIVE, ARCHIVED, ASSET_CAPITALIZATION, CHARGE, CLEARING, COMPANY_CURRENCY, CONTRACT_CURRENCY, CREATED, CREDIT, DEBIT, DECOMMISSIONED, DEPRECIATION, DIRECT_FINANCING, DISABLED, DOCUMENT_DATE, DONE, FAILED, FINANCE, GRV, HISTORY, IDC, IMPAIRMENT, INCENTIVE, LIABILITY, LIABILITY_ADJUSTMENT, LIABILITY_ADJUSTMENT_DECREASE, LIABILITY_ADJUSTMENT_INCREASE, LIABILITY_ADJUSTMENT_INDEXATION_DECREASE, LIABILITY_ADJUSTMENT_INDEXATION_INCREASE, LOW_VALUE, MODIFICATION_CAPITALIZATION, MODIFICATION_CAPITALIZATION_ASSET_DECREASE, MODIFICATION_CAPITALIZATION_ASSET_INCREASE, MODIFICATION_CAPITALIZATION_INDEXATION_ASSET_DECREASE, MODIFICATION_CAPITALIZATION_INDEXATION_ASSET_INCREASE, MONTH_END_CURRENCY, NET, NET_LEASE_INVESTMENT, NET_LEASE_INVESTMENT_ADJUSTMENT, NONE, NON_LEASE, N_A, OPEN, OPERATING, PAYMENT, POST, POSTING_DATE, PREPAID, PROCESSING, PROVISIONING, RECLASSIFICATION_ASSET_TRANSFER, RECLASSIFICATION_NON_ASSET_TRANSFER, RECOGNITION, REPORTING_CURRENCY, REVERSE, SALES_TYPE, SCHEDULED, SECOND_LOCAL_CURRENCY, SERVICE_CONTRACT, SHORT_TERM, SPOT_RATE, TERMINATION, TERMINATION_ASSET, TERMINATION_CLOSED_LEDGER, TERMINATION_LIABILITY, TERMINATION_ROUNDING, THIRD_LOCAL_CURRENCY, TRANSLATION_DATE, URV, VOUCHER, WAE_RATE |
timing |
END_OF_DAY, START_OF_DAY |
Create A New Calculate Tax¶
HTTP Request
POST /api/v1/journals/calculate-tax
📋 Description: Calculates the tax obligations associated with lease contracts within the Nakisa Lease Accounting Suite, ensuring accurate financial reporting and compliance with accounting standards.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the lease and contract details necessary for calculating the associated financial obligations and accounting entries. |
Body Parameters
1{
2 "activationGroupRevisionId": 10000001,
3 "journalId": 10000001,
4 "journalType": {
5 "name": "PAYMENT",
6 "captionKey": "enum.journalPostingType.payment",
7 "caption": "Payment"
8 },
9 "unitId": 10000001,
10 "postingDate": "2025-01-01",
11 "documentDate": "2025-01-01",
12 "principalPositionType": {
13 "name": "LESSEE",
14 "captionKey": "enum.principalpositiontype.lessee",
15 "caption": "Lessee"
16 }
17}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "success": false,
3 "message": "sample_message",
4 "journalDto": {
5 "id": 10000001,
6 "displayId": "sample_displayId",
7 "type": {
8 "name": "PAYMENT",
9 "captionKey": "enum.journalPostingType.payment",
10 "caption": "Payment"
11 },
12 "date": {
13 "timing": "START_OF_DAY",
14 "year": 2025,
15 "monthValue": 9,
16 "dayOfMonth": 4,
17 "leapYear": false,
18 "month": "SEPTEMBER",
19 "dayOfWeek": "THURSDAY",
20 "dayOfYear": 247
21 },
22 "unitId": 10000001,
23 "periodId": 10000001,
24 "document": {
25 "id": 10000001,
26 "displayId": "sample_displayId",
27 "accountingDocumentId": 10000001,
28 "lastAccountingDocumentId": 10000001,
29 "activationGroupId": 10000001,
30 "accountingStandardId": 10000001,
31 "unitId": 10000001,
32 "journalId": 10000001,
33 "entries": [],
34 "operationalPostingTaskId": 10000001,
35 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
36 "numberRangeIdentifierType": {
37 "name": "COMPANY_CODE"
38 },
39 "numberRangeType": {
40 "name": "CONTRACT"
41 },
42 "allowsSystemGenerateNewId": false
43 },
44 "entries": [],
45 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
46 "numberRangeIdentifierType": {
47 "name": "COMPANY_CODE"
48 },
49 "numberRangeType": {
50 "name": "CONTRACT"
51 },
52 "allowsSystemGenerateNewId": false
53 }
54}
Create A New Calculate Currency¶
HTTP Request
POST /api/v1/journals/calculate-currency
📋 Description: Calculates the currency conversion for financial obligations associated with leases and contracts, generating the necessary accounting entries for accurate financial reporting.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the financial obligation details, including lease and contract information, necessary for calculating currency adjustments in accounting entries. |
Body Parameters
1{
2 "activationGroupRevisionId": 10000001,
3 "journalId": 10000001,
4 "unitId": 10000001,
5 "postingDate": "2025-01-01",
6 "documentDate": "2025-01-01",
7 "principalPositionType": {
8 "name": "LESSEE",
9 "captionKey": "enum.principalpositiontype.lessee",
10 "caption": "Lessee"
11 }
12}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "success": false,
3 "message": "sample_message"
4}
Get Journal By ID¶
HTTP Request
GET /api/v1/journals/{principalPositionType}/{journalId}
📋 Description: Retrieves detailed journal entries associated with a specific principal position type and journal ID, facilitating accurate tracking of lease-related financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
Type of the principal position |
journalId |
path |
integer |
true |
Unique identifier for the journal |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": {
11 "id": 10000001,
12 "displayId": "sample_displayId",
13 "type": {
14 "name": "PAYMENT",
15 "captionKey": "enum.journalPostingType.payment",
16 "caption": "Payment"
17 },
18 "date": {
19 "timing": "START_OF_DAY",
20 "year": 2025,
21 "monthValue": 9,
22 "dayOfMonth": 4,
23 "leapYear": false,
24 "month": "SEPTEMBER",
25 "dayOfWeek": "THURSDAY",
26 "dayOfYear": 247
27 },
28 "entries": [],
29 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
30 "numberRangeIdentifierType": {
31 "name": "COMPANY_CODE"
32 },
33 "numberRangeType": {
34 "name": "CONTRACT"
35 },
36 "allowsSystemGenerateNewId": false
37 }
38}
Get Journal By ID (With Unit ID)¶
HTTP Request
GET /api/v1/journals/{principalPositionType}/{journalId}/{unitId}
📋 Description: Retrieves detailed journal entries associated with a specific principal position type, journal ID, and unit ID within the Nakisa Lease Accounting Suite, facilitating effective management of lease-related financial obligations and accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
Type of the principal position |
journalId |
path |
integer |
true |
Unique identifier for the journal |
unitId |
path |
integer |
true |
Unique identifier for the unit |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": {
11 "id": 10000001,
12 "displayId": "sample_displayId",
13 "type": {
14 "name": "PAYMENT",
15 "captionKey": "enum.journalPostingType.payment",
16 "caption": "Payment"
17 },
18 "date": {
19 "timing": "START_OF_DAY",
20 "year": 2025,
21 "monthValue": 9,
22 "dayOfMonth": 4,
23 "leapYear": false,
24 "month": "SEPTEMBER",
25 "dayOfWeek": "THURSDAY",
26 "dayOfYear": 247
27 },
28 "unitId": 10000001,
29 "periodId": 10000001,
30 "document": {
31 "id": 10000001,
32 "displayId": "sample_displayId",
33 "accountingDocumentId": 10000001,
34 "lastAccountingDocumentId": 10000001,
35 "activationGroupId": 10000001,
36 "accountingStandardId": 10000001,
37 "unitId": 10000001,
38 "journalId": 10000001,
39 "entries": [],
40 "operationalPostingTaskId": 10000001,
41 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
42 "numberRangeIdentifierType": {
43 "name": "COMPANY_CODE"
44 },
45 "numberRangeType": {
46 "name": "CONTRACT"
47 },
48 "allowsSystemGenerateNewId": false
49 },
50 "entries": [],
51 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
52 "numberRangeIdentifierType": {
53 "name": "COMPANY_CODE"
54 },
55 "numberRangeType": {
56 "name": "CONTRACT"
57 },
58 "allowsSystemGenerateNewId": false
59 }
60}
Retrieve A Specific Payment¶
HTTP Request
GET /api/v1/journals/payment/{principalPositionType}/{periodId}/{unitId}
📋 Description: Retrieves payment journal entries associated with a specific principal position type, period, and unit, facilitating accurate tracking of lease-related financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
principalPositionType |
path |
string |
true |
Type of the principal position |
periodId |
path |
integer |
true |
Unique identifier for the period |
unitId |
path |
integer |
true |
Unique identifier for the unit |
paymentDate |
query |
string |
true |
Date of the payment |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": {
11 "id": 10000001,
12 "displayId": "sample_displayId",
13 "type": {
14 "name": "PAYMENT",
15 "captionKey": "enum.journalPostingType.payment",
16 "caption": "Payment"
17 },
18 "date": {
19 "timing": "START_OF_DAY",
20 "year": 2025,
21 "monthValue": 9,
22 "dayOfMonth": 4,
23 "leapYear": false,
24 "month": "SEPTEMBER",
25 "dayOfWeek": "THURSDAY",
26 "dayOfYear": 247
27 },
28 "unitId": 10000001,
29 "periodId": 10000001,
30 "document": {
31 "id": 10000001,
32 "displayId": "sample_displayId",
33 "accountingDocumentId": 10000001,
34 "lastAccountingDocumentId": 10000001,
35 "activationGroupId": 10000001,
36 "accountingStandardId": 10000001,
37 "unitId": 10000001,
38 "journalId": 10000001,
39 "entries": [],
40 "operationalPostingTaskId": 10000001,
41 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
42 "numberRangeIdentifierType": {
43 "name": "COMPANY_CODE"
44 },
45 "numberRangeType": {
46 "name": "CONTRACT"
47 },
48 "allowsSystemGenerateNewId": false
49 },
50 "entries": [],
51 "numberRangeIdentifierValue": "sample_numberRangeIdentifierValue",
52 "numberRangeIdentifierType": {
53 "name": "COMPANY_CODE"
54 },
55 "numberRangeType": {
56 "name": "CONTRACT"
57 },
58 "allowsSystemGenerateNewId": false
59 }
60}